/// <reference types="node" />
export type AddRecommendation = {
    title: string;
    reason: string | null;
    excerpt: string | null;
    featuredImage: URL | null;
    favicon: URL | null;
    url: URL;
    oneClickSubscribe: boolean;
};
export type EditRecommendation = Partial<AddRecommendation>;
export type RecommendationCreateData = AddRecommendation & {
    id?: string;
    createdAt?: Date;
    updatedAt?: Date | null;
};
export declare class Recommendation {
    #private;
    id: string;
    title: string;
    reason: string | null;
    excerpt: string | null;
    featuredImage: URL | null;
    favicon: URL | null;
    url: URL;
    oneClickSubscribe: boolean;
    createdAt: Date;
    updatedAt: Date | null;
    get deleted(): boolean;
    private constructor();
    static validate(properties: AddRecommendation): void;
    clean(): void;
    static create(data: RecommendationCreateData): Recommendation;
    edit(properties: EditRecommendation): void;
    delete(): void;
}
